| Crypto-3.0.3: DES, Blowfish, AES, SHA1, MD5, RSA, X.509 Identity and Attribute Certificates, General ASN.1 Support, Base64, PKCS8, PKCS1v15, Hexdump, Support for Word128, Word192 and Word256 and Beyond, PKCS5 Padding, Various Encryption Modes e.g. Cipher Block Chaining all in one package. | Contents | Index
Codec.Encryption.RSA.MGF |
Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Function Types
Description
Implements the mask generation function as specified in: ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-1/pkcs-1v2-1.pdf
Synopsis
mgf :: ([Octet] -> [Octet]) -> [Octet] -> Int -> [Octet]
Function Types
mgf :: ([Octet] -> [Octet]) -> [Octet] -> Int -> [Octet]
Take a hash function, a seed and the intended length of the the mask and deliver a mask of the requested length.
Produced by Haddock version 0.8